<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmployeeMonthsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_months', function (Blueprint $table) {
            $table->id();
            $table->string('month_name');
            $table->string('month_days');
            $table->string('work_days');
            $table->string('work_hours');
            $table->string('hours_worked');
            $table->string('ot_hours');
            $table->string('basic_salary');
            $table->string('hourly_rate');
            $table->string('overTime_amount');
            $table->string('relief_amount');
            $table->string('saturday_status');
            $table->string('advances_cancellations');
            $table->string('bonus_reward');
            $table->string('salary_payable');
            $table->string('year');
            $table->foreignId('employee_id');
            $table->string('month_year');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_months');
    }
}
