const { default: axios } = require("axios");
const { get, flatMap } = require("lodash");

require("./bootstrap");

const saveAttendenceButton = document.querySelectorAll(".save-attendence");
const absentButton = document.querySelectorAll(".absent");
const calculateAll = document.querySelector(".calculate");

saveAttendenceButton.forEach((btn) => {
    btn.addEventListener("click", (e) => {
        e.preventDefault();
        const dayRow = btn.parentElement.parentElement;
        const arrival = dayRow.querySelector(".arrival").value;
        const breaktime = dayRow.querySelector(".break").value;
        const departure = dayRow.querySelector(".departure").value;
        const worked = dayRow.querySelector(".worked");
        const overtime = dayRow.querySelector(".overtime");
        const timestamp = dayRow.querySelector(".timestamp");
        const comment = dayRow.querySelector(".comment").value;
        const row_id = timestamp.getAttribute("data-time");
        const emp_id = timestamp.getAttribute("data-empid");
        const month = timestamp.getAttribute("data-month");

        // const regExp = /^(0?[1-9]|1[0-2]):[0-5][0-9]$/;
        // const regExp = /((1[0-2]|0?[1-9]|0):([0-5][0-9])?\s([AaPp][Mm]))/;
        // const regExp = /(1|0?[1-9]|0):([0-5]?[0-9])?\s([AaPp][Mm])?$/;
        // const regExp = /(0?[1-9]|0)|(1?[0-2]|0):([0-5]?[0-9])?\s([AaPp][Mm])?$/;
        const regExp = /((0[1-9]|0)|(1[0-2]|0)):([0-5]?[0-9])?\s([ap][m])?$/;

        if (arrival !== "" && departure !== "") {
            console.log(regExp.test(arrival));
            if (
                arrival === "00:00 pm" ||
                departure === "00:00 pm" ||
                arrival === "12:00 am" ||
                departure === "12:00 am"
            ) {
                alertMsg("Please Enter Correct Format", "danger", "times");
            } else if (regExp.test(arrival) && regExp.test(departure)) {
                const arrivalTime = arrival.split(" ");
                const departurTime = departure.split(" ");
                const startTime = /([Aa][Mm])/.test(arrivalTime[1])
                    ? arrivalTime[0]
                    : amtopm(arrivalTime[0]);
                const endTime = /([Aa][Mm])/.test(departurTime[1])
                    ? departurTime[0]
                    : amtopm(departurTime[0]);

                const hours = timeDiff(startTime, endTime);
                const splitHours = hours.split("-");
                if (splitHours[1]) {
                    alertMsg(
                        "Please Stay in the Confines of 24 Hours",
                        "danger",
                        "times"
                    );
                } else {
                    if (breaktime !== "") {
                        if (
                            /((1[0-2]|0?[1-9]|0):([0-5][0-9]))/.test(breaktime)
                        ) {
                            const hoursAfterBreak = AfterBreak(
                                hours,
                                breaktime
                            );
                            const overtimeHours = getOvertime(hoursAfterBreak);
                            // console.log(hoursAfterBreak);
                            worked.innerText = hoursAfterBreak;
                            overtime.innerText = overtimeHours;
                            let data = {
                                arrival: arrival,
                                break: breaktime,
                                departure: departure,
                                worked: hoursAfterBreak,
                                overtime: overtimeHours,
                                emp_id: emp_id,
                                month: month,
                                comment:comment,
                            };
                            updateData(row_id, data).then(() => {
                                alertMsg(
                                    "Data Saved Successfully...",
                                    "success",
                                    "check"
                                );
                                dayRow.classList.remove('absentTrue');
                            });
                        } else {
                            console.log("Please Enter Values");
                            alertMsg(
                                "Please Enter Correct Break Format",
                                "danger",
                                "times"
                            );
                        }
                    } else {
                        const overtimeHours = getOvertime(hours);
                        worked.innerText = hours;
                        overtime.innerText = overtimeHours;
                        // worked.innerText = '';
                        let data = {
                            arrival: arrival,
                            break: "",
                            departure: departure,
                            worked: hours,
                            overtime: overtimeHours,
                            emp_id: emp_id,
                            month: month,
                            comment:comment,
                        };
                        updateData(row_id, data).then(() => {
                            alertMsg(
                                "Data Saved Successfully...",
                                "success",
                                "check"
                            );
                            dayRow.classList.remove('absentTrue');
                        });
                    }
                }
                // console.log(endTime);
            } else {
                alertMsg(
                    "Please Enter Correct Arrival and Departure Format",
                    "danger",
                    "times"
                );
            }
        } else if (arrival !== "") {
            if (regExp.test(arrival)) {
                const arrivalTime = arrival.split(" ");
                const startTime =
                    arrivalTime[1] === "/([Aa][Mm]))/"
                        ? arrivalTime[0]
                        : amtopm(arrivalTime[0]);
                let data = {
                    arrival: arrival,
                    break: "",
                    departure: "",
                    worked: "",
                    overtime: "",
                    emp_id: emp_id,
                    month: month,
                    comment:comment,
                };
                updateData(row_id, data).then(() => {
                    alertMsg("Data Saved Successfully...", "success", "check");
                    dayRow.classList.remove('absentTrue');
                });
            } else {
                alertMsg(
                    "Please Enter Correct Arrival Format",
                    "danger",
                    "times"
                );
            }
        } else {
            console.log("Please Enter Values");
            alertMsg("Please Enter Values", "danger", "times");
        }
    });
});

const amtopm = (time) => {
    const hoursMinutes = time.split(":");
    const newhours =
        parseInt(hoursMinutes[0]) !== 12
            ? parseInt(hoursMinutes[0]) + 12
            : parseInt(hoursMinutes[0]);
    // const newhours = parseInt(hoursMinutes[0]) + 12;
    return newhours + ":" + hoursMinutes[1];
};

function timeDiff(start, end) {
    start = start.split(":");
    end = end.split(":");
    var startDate = new Date(0, 0, 0, start[0], start[1], 0);
    var endDate = new Date(0, 0, 0, end[0], end[1], 0);
    var diff = endDate.getTime() - startDate.getTime();
    var hours = Math.floor(diff / 1000 / 60 / 60);
    diff -= hours * 1000 * 60 * 60;
    var minutes = Math.floor(diff / 1000 / 60);

    return (
        (hours < 9 ? "0" : "") +
        hours +
        ":" +
        (minutes < 9 ? "0" : "") +
        minutes
    );
}

const AfterBreak = (hours, breakTime) => {
    hours = hours.split(":");
    breakTime = breakTime.split(":");

    let newhours = hours[0] - breakTime[0];

    let newMinutes = hours[1] - breakTime[1];

    if (newMinutes < 0) {
        newMinutes = 60 + newMinutes;
        newhours = newhours - 1;
    }

    return (
        (newhours < 9 ? "0" : "") +
        newhours +
        ":" +
        (newMinutes < 9 ? "0" : "") +
        newMinutes
    );
};

const getOvertime = (hours) => {
    hours = hours.split(":");

    othours = hours[0] - 8;

    otminutes = hours[1] - 0;
    console.log(otminutes);
    if (othours < 0) {
        otminutes = -othours * 60 - otminutes;
        rTime = timeConvert(otminutes).split(":");
        othours = rTime[0];
        otminutes = rTime[1];
        return "-" + othours + ":" + otminutes;
    } else {
        return (
            (othours < 9 ? "0" : "") +
            othours +
            ":" +
            (otminutes < 9 ? "0" : "") +
            otminutes
        );
    }
    // console.log(otminutes);
    // console.log(othours);
};

function timeConvert(n) {
    var num = n;
    var hours = num / 60;
    var rhours = Math.floor(hours);
    var minutes = (hours - rhours) * 60;
    var rminutes = Math.round(minutes);

    return (
        (rhours < 9 ? "0" : "") +
        rhours +
        ":" +
        (rminutes < 9 ? "0" : "") +
        rminutes
    );
}

const alertMsg = ($message, $type, $icon) => {
    const toast = document.querySelector(".ams-toast");
    const toastText = toast.querySelector("p");
    const toastIcon = toast.querySelector("i");
    toast.classList.remove("text-danger");
    toast.classList.remove("text-success");
    toastIcon.classList.remove("fa-check-circle");
    toastIcon.classList.remove("fa-times-circle");
    toastText.innerText = $message;
    $type === "danger"
        ? toast.classList.add("text-danger")
        : toast.classList.add("text-success");
    $icon === "check"
        ? toastIcon.classList.add("fa-check-circle")
        : toastIcon.classList.add("fa-times-circle");
    toast.style.display = "block";
    setTimeout(() => {
        toast.style.display = "none";
    }, 3000);
};

const getOtBalance = () => {};

const updateData = (id, data) => {
    return axios
        .put("/staff/attendence/update/" + id, data)
        .then((response) => {
            console.log(response);
        })
        .catch((error) => {
            console.log(error.response.data);
        });
};
const setAbsent = (id, data) => {
    return axios
        .put("/staff/attendence/setAbsent/" + id, data)
        .then((response) => {
            console.log(response);
        })
        .catch((error) => {
            console.log(error.response.data);
        });
};
const updateDataEmployeeMonth = (id, month, data) => {
    return axios
        .put("/staff/months/updateMonth/" + id + "/" + month, data)
        .then((response) => {
            console.log(response);
        })
        .catch((error) => {
            console.log(error.response.data);
        });
};
const updateSaturdayStatus = (id, month, data) => {
    return axios
        .put("/staff/months/updateSatStatus/" + id + "/" + month, data)
        .then((response) => {
            console.log(response);
        })
        .catch((error) => {
            console.log(error.response.data);
        });
};
// Set Absent
absentButton.forEach((btn) => {
    btn.addEventListener("click", (e) => {
        e.preventDefault();
        const dayRow = btn.parentElement.parentElement;
        dayRow.querySelector(".arrival").value = "";
        dayRow.querySelector(".break").value = "";
        dayRow.querySelector(".departure").value = "";
        dayRow.querySelector(".worked").innerText = "";
        dayRow.querySelector(".overtime").innerText = "";
        const comment = dayRow.querySelector(".comment").value;
        const timestamp = dayRow.querySelector(".timestamp");
        const row_id = timestamp.getAttribute("data-time");
        const emp_id = timestamp.getAttribute("data-empid");
        const month = timestamp.getAttribute("data-month");
        let data = {
            emp_id: emp_id,
            month: month,
            comment: comment,
        };
        setAbsent(row_id, data).then(() => {
            alertMsg("Data Saved Successfully...", "success", "check");
            dayRow.classList.add('absentTrue');
        });
    });
});

// Total Calculations
if (calculateAll) {
    calculateAll.addEventListener("click", (e) => {
        e.preventDefault();
        const Days = document.querySelectorAll(".day");
        const sundays = document.querySelectorAll(".itSunday");
        const totalWorkDays = Days.length - sundays.length;
        const minimumWorkDays = Days.length - sundays.length - 2;
        const totalWorkHours = totalWorkDays * 8;
        const minimumWorkHours = minimumWorkDays * 8;
        
        const tWD = document.querySelector(".t-w-d");
        const mWD = document.querySelector(".m-w-d");
        const tWH = document.querySelector(".t-w-h");
        const mWH = document.querySelector(".m-w-h");
        const tHW = document.querySelector(".t-h-w");
        const aHW = document.querySelector(".a-h-w");
        const oTH = document.querySelector(".o-t-h");
        const oTS = document.querySelector(".o-t-s");
        const stM = document.querySelector(".s-t-m");
        const ramount = document.querySelector(".r-amount");
        const bSalary = document.querySelector(".basic-salary").value;
        const advance = document.querySelector(".advance").value;
        const bonus = document.querySelector(".bonus").value;
        const hRate = document.querySelector(".h-rate");
        
        const employee_id = calculateAll.getAttribute("data-employee");
        const month = calculateAll.getAttribute("data-month");


        let workedHours = 0;
        let workedMinutes = 0;

        const Worked = document.querySelectorAll(".worked");

        Worked.forEach((day) => {
            if (day.innerText !== "") {
                let hoursMinutes = day.innerText.split(":");
                hours = hoursMinutes[0];
                minutes = hoursMinutes[1];
                workedHours = workedHours + parseInt(hours);
                workedMinutes = workedMinutes + parseInt(minutes);
            }
        });
        if (workedMinutes > 0) {
            rTime = timeConvert(workedMinutes).split(":");
            rhours = rTime[0];
            rminutes = rTime[1];
            workedHours = workedHours + parseInt(rhours);
            workedMinutes = rminutes / 60;
        }
        const totalWorkedHours = workedHours + workedMinutes;
        let totalOvertime = totalWorkedHours - totalWorkHours;
        const workedhoursAfterOff = totalWorkedHours - 16;
        let hourlyRate = "";
        let overtimeThismonth = "";
        let totalSalary = "";
        let reliefAmount = 0;
        if (bSalary !== "") {
            hourlyRate = bSalary / totalWorkHours;
            if (totalOvertime < 0 && totalOvertime > -8) {
                offhours = 8 + totalOvertime;
                reliefAmount = offhours * (hourlyRate * 2);
            } else if (totalOvertime < 0 && totalOvertime < -8) {
                newOvertime = totalOvertime + 8;
                reliefAmount = 0;
                overtimeThismonth = newOvertime * (hourlyRate * 2);
            } else {
                reliefAmount = 8 * (hourlyRate * 2);
                overtimeThismonth = totalOvertime * (hourlyRate * 2);
            }

            totalSalary = reliefAmount + parseInt(bSalary) + overtimeThismonth;
        }

        if (advance !== "") {
            totalSalary = totalSalary - parseInt(advance);
        }
        if (bonus !== "") {
            totalSalary = totalSalary + parseInt(bonus);
        }

        // console.log(workedHours);
        // console.log(workedMinutes);
        let data = {
            work_days: totalWorkDays,
            work_hours: totalWorkHours,
            hours_worked: totalWorkedHours,
            ot_hours: totalOvertime,
            basic_salary: bSalary,
            hourly_rate: hourlyRate,
            overTime_amount: overtimeThismonth,
            relief_amount: reliefAmount,
            advances_cancellations: advance,
            bonus_reward: bonus,
            salary_payable: totalSalary,
        };
        updateDataEmployeeMonth(employee_id, month, data).then(() => {
            alertMsg("Data Saved Successfully...", "success", "check");
        });
        tWD.innerText = totalWorkDays;
        // mWD.innerText = minimumWorkDays;
        tWH.innerText = totalWorkHours;
        // mWH.innerText = minimumWorkHours;
        tHW.innerText = totalWorkedHours;
        // aHW.innerText = workedhoursAfterOff;
        oTH.innerText = totalOvertime;
        oTS.innerText = overtimeThismonth;
        stM.innerText = totalSalary;
        hRate.innerText = hourlyRate;
        ramount.innerText = reliefAmount;
    });
}

// Change Saturday status
const sScheck = document.querySelector(".sScheck");

if(sScheck){

    sScheck.addEventListener("change", (e) => {
        const employee_id = calculateAll.getAttribute("data-employee");
        const month = calculateAll.getAttribute("data-month");
        if (e.target.checked) {
            let data = {
            saturday_status: "off",
        };
        updateSaturdayStatus(employee_id, month, data).then(() => {
            location.reload();
        });
    } else {
        let data = {
            saturday_status: "on",
        };
        updateSaturdayStatus(employee_id, month, data).then(() => {
            location.reload();
        });
    }
});
}


