const mix = require("laravel-mix");

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.disableNotifications();
mix.js("resources/js/app.js", "public/js");
mix.styles(
    ["resources/css/app.css", "resources/css/adminlte.min.css"],
    "public/css/app.css"
);

mix.scripts(
    [
        "resources/plugins/jquery/jquery.min.js",
        "resources/plugins/bootstrap/js/bootstrap.bundle.min.js",
        "resources/js/adminlte.min.js",
    ],
    "public/js/main.js"
);
